GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
transport_security_interface.h File Reference
`#include <stdint.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Data Structures
struct | tsi_peer_property
struct | tsi_peer

## Macros
#define | TSI_CERTIFICATE_TYPE_PEER_PROPERTY "certificate_type"
#define | tsi_handshaker_is_in_progress(h) (tsi_handshaker_get_result((h)) == TSI_HANDSHAKE_IN_PROGRESS)

## Typedefs
typedef struct tsi_frame_protector | tsi_frame_protector
typedef struct tsi_peer_property | tsi_peer_property
typedef struct tsi_handshaker | tsi_handshaker

## Enumerations
enum | tsi_result { TSI_OK = 0, TSI_UNKNOWN_ERROR = 1, TSI_INVALID_ARGUMENT = 2, TSI_PERMISSION_DENIED = 3, TSI_INCOMPLETE_DATA = 4, TSI_FAILED_PRECONDITION = 5, TSI_UNIMPLEMENTED = 6, TSI_INTERNAL_ERROR = 7, TSI_DATA_CORRUPTED = 8, TSI_NOT_FOUND = 9, TSI_PROTOCOL_FAILURE = 10, TSI_HANDSHAKE_IN_PROGRESS = 11, TSI_OUT_OF_RESOURCES = 12 }

## Functions
const char * | tsi_result_to_string (tsi_result result)
tsi_result | tsi_frame_protector_protect (tsi_frame_protector *self, const unsigned char *unprotected_bytes, size_t *unprotected_bytes_size, unsigned char *protected_output_frames, size_t *protected_output_frames_size)
tsi_result | tsi_frame_protector_protect_flush (tsi_frame_protector *self, unsigned char *protected_output_frames, size_t *protected_output_frames_size, size_t *still_pending_size)
tsi_result | tsi_frame_protector_unprotect (tsi_frame_protector *self, const unsigned char *protected_frames_bytes, size_t *protected_frames_bytes_size, unsigned char *unprotected_bytes, size_t *unprotected_bytes_size)
void | tsi_frame_protector_destroy (tsi_frame_protector *self)
void | tsi_peer_destruct (tsi_peer *self)
tsi_result | tsi_handshaker_get_bytes_to_send_to_peer (tsi_handshaker *self, unsigned char *bytes, size_t *bytes_size)
tsi_result | tsi_handshaker_process_bytes_from_peer (tsi_handshaker *self, const unsigned char *bytes, size_t *bytes_size)
tsi_result | tsi_handshaker_get_result (tsi_handshaker *self)
tsi_result | tsi_handshaker_extract_peer (tsi_handshaker *self, tsi_peer *peer)
tsi_result | tsi_handshaker_create_frame_protector (tsi_handshaker *self, size_t *max_output_protected_frame_size, tsi_frame_protector **protector)
void | tsi_handshaker_destroy (tsi_handshaker *self)

## Variables
int | tsi_tracing_enabled

## Macro Definition Documentation

#define TSI_CERTIFICATE_TYPE_PEER_PROPERTY "certificate_type"

#define tsi_handshaker_is_in_progress | ( |  | h | ) | (tsi_handshaker_get_result((h)) == TSI_HANDSHAKE_IN_PROGRESS)

## Typedef Documentation

typedef struct tsi_frame_protector tsi_frame_protector

typedef struct tsi_handshaker tsi_handshaker

typedef struct tsi_peer_property tsi_peer_property

## Enumeration Type Documentation

enum tsi_result

Enumerator
TSI_OK |
TSI_UNKNOWN_ERROR |
TSI_INVALID_ARGUMENT |
TSI_PERMISSION_DENIED |
TSI_INCOMPLETE_DATA |
TSI_FAILED_PRECONDITION |
TSI_UNIMPLEMENTED |
TSI_INTERNAL_ERROR |
TSI_DATA_CORRUPTED |
TSI_NOT_FOUND |
TSI_PROTOCOL_FAILURE |
TSI_HANDSHAKE_IN_PROGRESS |
TSI_OUT_OF_RESOURCES |

## Function Documentation

void tsi_frame_protector_destroy | ( | tsi_frame_protector * | self | ) |

tsi_result tsi_frame_protector_protect | ( | tsi_frame_protector * | self,
|  | const unsigned char * | unprotected_bytes,
|  | size_t * | unprotected_bytes_size,
|  | unsigned char * | protected_output_frames,
|  | size_t * | protected_output_frames_size
| ) |  |

tsi_result tsi_frame_protector_protect_flush | ( | tsi_frame_protector * | self,
|  | unsigned char * | protected_output_frames,
|  | size_t * | protected_output_frames_size,
|  | size_t * | still_pending_size
| ) |  |

tsi_result tsi_frame_protector_unprotect | ( | tsi_frame_protector * | self,
|  | const unsigned char * | protected_frames_bytes,
|  | size_t * | protected_frames_bytes_size,
|  | unsigned char * | unprotected_bytes,
|  | size_t * | unprotected_bytes_size
| ) |  |

tsi_result tsi_handshaker_create_frame_protector | ( | tsi_handshaker * | self,
|  | size_t * | max_output_protected_frame_size,
|  | tsi_frame_protector ** | protector
| ) |  |

void tsi_handshaker_destroy | ( | tsi_handshaker * | self | ) |

tsi_result tsi_handshaker_extract_peer | ( | tsi_handshaker * | self,
|  | tsi_peer * | peer
| ) |  |

tsi_result tsi_handshaker_get_bytes_to_send_to_peer | ( | tsi_handshaker * | self,
|  | unsigned char * | bytes,
|  | size_t * | bytes_size
| ) |  |

tsi_result tsi_handshaker_get_result | ( | tsi_handshaker * | self | ) |

tsi_result tsi_handshaker_process_bytes_from_peer | ( | tsi_handshaker * | self,
|  | const unsigned char * | bytes,
|  | size_t * | bytes_size
| ) |  |

void tsi_peer_destruct | ( | tsi_peer * | self | ) |

const char* tsi_result_to_string | ( | tsi_result | result | ) |

## Variable Documentation

int tsi_tracing_enabled